[defaults]
gathering = explicit
interpreter_python = auto_silent
display_skipped_hosts = False
host_key_checking = False
deprecation_warnings = True
# Relocate directories
inventory = ./inventory.toml
filter_plugins = ./filter_plugins
roles_path = ./roles
# Make the targets follow XDG specs
# (this playbook is intended to be run against localhost)
# Ref: https://github.com/ayekat/localdir/issues/7#issuecomment-998286490
remote_tmp = $XDG_CACHE_HOME/ansible/tmp

[privilege_escalation]
become_method = doas
become_user = root

[ssh_connection]
pipelining = True
transfer_method = smart
